#
# spec file for package kmplot
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kmplot
Version:        14.12.1
Release:        0
Summary:        Mathematical Function Plotter
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  libkde4-devel
BuildRequires:  xz
Provides:       kde4-kmplot = 4.3.0
Obsoletes:      kde4-kmplot < 4.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Mathematical function plotter for KDE.

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %kde_post_install

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_kde4_datadir}/appdata
%{_datadir}/dbus-1/interfaces/org.kde.kmplot.*.xml
%{_kde4_applicationsdir}/kmplot.desktop
%{_kde4_appsdir}/kmplot/
%{_kde4_bindir}/kmplot
%{_kde4_configkcfgdir}/kmplot.kcfg
%{_kde4_datadir}/appdata/kmplot.appdata.xml
%{_kde4_htmldir}/en/kmplot/
%{_kde4_iconsdir}/hicolor/*/apps/kmplot.*
%{_kde4_mandir}/man1/kmplot.1.gz
%{_kde4_modulesdir}/libkmplotpart.so
%{_kde4_servicesdir}/kmplot_part.desktop

%changelog
